﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class LevelManager : MonoBehaviour {


    
	public void LoadLevel(string name){
		Brick.breakableCount = 0;
		SceneManager.LoadScene(name);
	}
	
	public void QuitRequest(){
		Debug.Log("I want to quit");
		Application.Quit ();
	}

    public void LoadNextLevel() {
        Brick.breakableCount = 0;
        SceneManager.LoadScene(sceneBuildIndex: Application.loadedLevel + 1);
        }
	
	public void BrickDestroyed() {
		if (Brick.breakableCount <= 0) {
            LoadNextLevel();
		}
	}
}
